$(document).ready(function() {
    window.urlParam = function(name) {
        var results = new RegExp('[\\?&amp;]' + name + '=([^&amp;#]*)').exec(window.location.href);
        if (results != null) {
            return results[1] || 0;
        } else {
            return null;
        }

    }

    var bySem = window.urlParam('bysem');
    var upId = window.urlParam('upId');
    var isKug = window.urlParam('iskug');

    if (upId != null) {
    	if (isKug == 1) {
    		loadKUG(upId);
    	} else if (bySem == 0 || bySem == null) {
            loadUP(upId);
        } else {
            loadUPBySem(upId);
        }
    } else {
        printErrorMessage('Curriculum ID is not Specified in the Request!');
    }

    function loadUP(upId) {
        $.ajax({
            url: 'rs/up/UPContent/' + upId,
            type: "GET"
        }).done(function(UP) {

            loadPlanTitulTmpl(UP);
            loadPlanGrafikTmpl(UP);
            loadPlanSummaryTmpl(UP);

            $.ajax({
                url: 'templates/fullPlanTmpl.html',
                method: 'GET',
                async: false,
                dataType: 'html',
                success: function(data) {
                    var tmpl = _.template(data);
                    $("#contentUP").html(tmpl(UP.plan));
                    $("[rel='tooltip']").tooltip();
                }
            });
            $('.table-fixed-header');//.floatThead({scrollingTop: 50});
            $(".sempick").click(function() {
                var clicks = $(this).data('clicks');
                if (!clicks) {
                    $("tr").removeClass('info');
                    $("th").removeClass('info');
                    $(this).closest("th").addClass('info');
                    var sem = $(this).attr('id');
                    $(".attest").each(function() {
                        var tmp = $(this).text();
                        if (tmp.indexOf(sem) !== -1) {
                            $(this).closest("tr").addClass('info');
                        }
                    });
                    $(".sempick").data('clicks', null);
                } else {
                    $(this).closest("th").removeClass('info');
                    $("tr").removeClass('info');
                }
                $(this).data('clicks', !clicks);
            });

            loadPlanPrimechaniyaTmpl(UP);

        }).fail(function(jqXHR) {
            if (jqXHR.status == 404) {
                printErrorMessage('Requested Curriculum is Not Found');
            }
        });
    }

    function loadUPBySem(upId) {
        $.ajax({
            url: 'rs/up/UPContentBySemestr/' + upId,
            type: "GET"
        }).done(function(UP) {

            loadPlanTitulTmpl(UP);
            loadPlanGrafikTmpl(UP);
            loadPlanSummaryTmpl(UP);

            $.ajax({
                url: 'templates/fullPlanTmpl.html',
                method: 'GET',
                async: false,
                dataType: 'html',
                success: function(data) {
                    var tmpl = _.template(data);
                    $("#contentUP").html(tmpl(UP.plan));
                    $("[rel='tooltip']").tooltip();
                }
            });
            $('.table-fixed-header').floatThead({scrollingTop: 50});
            $(".sempick").click(function() {
                var clicks = $(this).data('clicks');
                if (!clicks) {
                    $("tr").removeClass('info');
                    $("th").removeClass('info');
                    $(this).closest("th").addClass('info');
                    var sem = $(this).attr('id');
                    $(".attest").each(function() {
                        var tmp = $(this).text();
                        if (tmp.indexOf(sem) !== -1) {
                            $(this).closest("tr").addClass('info');
                        }
                    });
                    $(".sempick").data('clicks', null);
                } else {
                    $(this).closest("th").removeClass('info');
                    $("tr").removeClass('info');
                }
                $(this).data('clicks', !clicks);
            });
            
            loadPlanPrimechaniyaTmpl(UP);

        }).fail(function(jqXHR) {
            if (jqXHR.status == 404) {
                printErrorMessage('Requested Curriculum is Not Found');
            }
        });
    }
    
    function loadKUG(upId) {
        $.ajax({
            url: 'rs/up/KUGContent/' + upId,
            type: "GET"
        }).done(function(UP) {

            loadPlanTitulTmpl(UP);
            loadPlanGrafikTmpl(UP);
            loadPlanKugTmpl(UP);
            loadPlanPrimechaniyaTmpl(UP);

        }).fail(function(jqXHR) {
            if (jqXHR.status == 404) {
                printErrorMessage('Requested Curriculum is Not Found');
            }
        });
    }

    function loadPlanTitulTmpl(UP) {
        $.ajax({
            url: 'templates/titulUPTmpl.html',
            method: 'GET',
            async: false,
            dataType: 'html',
            success: function(loadedTmpl) {
                var tmpl = _.template(loadedTmpl);
                $("#titulUP").html(tmpl(UP.plan.titulUP));
            }
        });
    }

    function loadPlanGrafikTmpl(UP) {
        $.ajax({
            url: 'templates/grafikUPTmpl.html',
            method: 'GET',
            async: false,
            dataType: 'html',
            success: function(loadedTmpl) {
                var tmpl = _.template(loadedTmpl);
                $("#grafikUP").html(tmpl(UP.plan));
            }
        });
    }

    function loadPlanSummaryTmpl(UP) {
        $.ajax({
            url: 'templates/summaryUPTmpl.html',
            method: 'GET',
            async: false,
            dataType: 'html',
            success: function(loadedTmpl) {
                var tmpl = _.template(loadedTmpl);
                $("#summaryUP").html(tmpl(UP.plan));
            }
        });
    }

    function loadPlanKugTmpl(UP) {
        $.ajax({
            url: 'templates/kugUPTmpl.html',
            method: 'GET',
            async: false,
            dataType: 'html',
            success: function(loadedTmpl) {
                var tmpl = _.template(loadedTmpl);
                $("#kugUP").html(tmpl(UP.plan));
            }
        });
    }

    function loadPlanPrimechaniyaTmpl(UP) {
        $.ajax({
            url: 'templates/primechaniyaUPTmpl.html',
            method: 'GET',
            async: false,
            dataType: 'html',
            success: function(loadedTmpl) {
                var tmpl = _.template(loadedTmpl);
                $("#primechaniyaUP").html(tmpl(UP.plan));
            }
        });
    }
    
    function printErrorMessage(message) {
        $('#main').empty();
        $('#main').html("<div class='alert alert-warning'>" + message + "</div>");
    }
});
